Does not work above Firefox 3.5 Rated 1 out of 5 stars

This add-on doesn't work above Firefox 3.5. On his site, Phil says Flickrfox is four years old now and he's no developing it any further. So anyone with 3.5 above will find it's of no use.